# Generated from open_graph_reader-0.9.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name open_graph_reader

Name: rubygem-%{gem_name}
Version: 0.9.1
Release: 1%{?dist}
Summary: OpenGraph protocol parser
License: MIT
URL: https://github.com/jhass/open_graph_reader
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(webmock) >= 3.6
# BuildRequires: rubygem(webmock) < 4
BuildArch: noarch

%description
A library to fetch and parse OpenGraph properties from an URL or a given
string.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.gitmodules
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Fri Jun 20 2025 mockbuilder - 0.9.1-1
- Initial package
